If you do not want to use VMware Integrated OpenStack 7.2, you can remove the patch and revert to the previous version.

Procedure

  1. Remove the VMware Integrated OpenStack 7.2 patch.
    viocli patch delete -p <VIO_7.2.0.0_patch_name>
  2. (Optional) If you have more than one patch in your existing VMware Integrated OpenStack deployment, removing the latest patch of step 1 can trigger revert process to the previous version of patch. To check the status of the previous version of patch, run the following command:
    viocli patch list

    If properly reverted to previous version of patch, the state of the deployment appears as: APPLIED and apply progress appears as: 100%.

    If the patch has been applied, check the deployment status:

    viocli get deployment
    If the deployment is stable, the state of the patch appears as: RUNNING. The state of the patch must remain RUNNING, indicating that all OpenStack services have been rolled back to previous version of VMware Integrated OpenStack.
  3. If you are reverting from VMware Integrated OpenStack 7.2 to version 7.0.1, you must manually rollback the core service vio-lcm as follows:
    helm repo update
    helm upgrade --install vio-lcm vio/vio-lcm-controllers --wait --force --timeout=1800 --namespace=openstack --version=7.1.0+17987093 --values=/vio/config/input/vio-lcm-cntl-values.yml
    If you are reverting from VMware Integrated OpenStack 7.2 to version 7.1, you must manually rollback the core service vio-lcm as follows:
    helm upgrade --install vio-lcm vio/vio-lcm-controllers --wait --force --timeout=1800 --namespace=openstack --version=7.1.0+17987093 --values=/vio/config/input/vio-lcm-cntl-values.yml
  4. If you are reverting from VMware Integrated OpenStack 7.2 to version 7.0, you must manually rollback four core services: vio-operator, vio-api, nginx-ingress, and vio-lcm as follows:
    helm repo update
    helm upgrade --install vio-operator vio/vio-operator --version=1.0.0 --values /vio/config/input/vio-api-cntl-values.yml
    
    helm upgrade --install vio-api vio/vio-api --version=1.0.0 --values /vio/config/input/vio-api-cntl-values.yml
    helm upgrade --install vio-ingress-cntl vio/nginx-ingress --version=1.6.0 --values /vio/config/input/mgmt-ingress-cntl-values.yml
    
    helm upgrade --install vio-lcm vio/vio-lcm-controllers --wait --force --timeout=1800 --namespace=openstack --version=7.0.0+16220932 --values=/vio/config/input/vio-lcm-cntl-values.yml
    Note: If an error occurs, retain the support bundle for tracking.